Loading...
Searching...
No Matches
L4virtio::Svr::Scmi::Perf_proto Class Referenceabstract

Base class for the SCMI performance protocol. More...

`#include <virtio-scmi-device>`

Inheritance diagram for L4virtio::Svr::Scmi::Perf_proto:
Collaboration diagram for L4virtio::Svr::Scmi::Perf_proto:

## Detailed Description

Base class for the SCMI performance protocol.

Use this class as a base to implement the performance protocol.

If you want to use this from a Uvmm Linux guest, the device tree needs to look something like this:

firmware {
scmi {
compatible = "arm,scmi-virtio";
#address-cells = <1>;
#size-cells = <0>;
cpufreq: protocol@13 {
reg = <0x13>;
#clock-cells = <1>;
};
};
};
....
cpu@0 {
device_type = "cpu";
reg = <0x0>;
clocks = <&cpufreq 0>; // domain_id
};

Definition at line 662 of file virtio-scmi-device.

The documentation for this class was generated from the following file:

- l4/l4virtio/server/virtio-scmi-device